- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Image Functions
Canvas Functions

Functions that deals with images at canvas level. More...

#define | evas_canvas_image_cache_flush() EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_CACHE_FLUSH)
#define | evas_canvas_image_cache_reload() EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_CACHE_RELOAD)
#define | evas_canvas_image_cache_set(size) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_CACHE_SET), EO_TYPECHECK(int, size)
#define | evas_canvas_image_cache_get(ret) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_CACHE_GET), EO_TYPECHECK(int *, ret)
#define | evas_canvas_image_max_size_get(maxw, maxh, ret) EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_MAX_SIZE_GET), EO_TYPECHECK(int *, maxw), EO_TYPECHECK(int *, maxh), EO_TYPECHECK(Eina_Bool *, ret)
void | evas_image_cache_flush (Evas *e)
| Flush the image cache of the canvas. More...
void | evas_image_cache_reload (Evas *e)
| Reload the image cache. More...
void | evas_image_cache_set (Evas *e, int size)
| Set the image cache. More...
int | evas_image_cache_get (const Evas *e)
| Get the image cache. More...
Eina_Bool | evas_image_max_size_get (const Evas *e, int *maxw, int *maxh)
| Get the maximum image size evas can possibly handle. More...

## Detailed Description

Functions that deals with images at canvas level.

## Macro Definition Documentation

#define evas_canvas_image_cache_flush | ( |  | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_CACHE_FLUSH)

Since
  1.8

Flush the image cache of the canvas.

See Also
  evas_image_cache_flush

Referenced by evas_image_cache_flush().

#define evas_canvas_image_cache_reload | ( |  | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_CACHE_RELOAD)

Since
  1.8

Reload the image cache

See Also
  evas_image_cache_reload

Referenced by evas_image_cache_reload().

#define evas_canvas_image_cache_set | ( |  | size | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_CACHE_SET), EO_TYPECHECK(int, size)

Since
  1.8

Set the image cache.

Parameters

  [in] | size |

See Also
  evas_image_cache_set

Referenced by evas_image_cache_set().

#define evas_canvas_image_cache_get | ( |  | ret | ) | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_CACHE_GET), EO_TYPECHECK(int *, ret)

Since
  1.8

Get the image cache

Parameters

  [out] | ret |

See Also
  evas_image_cache_get

Referenced by evas_image_cache_get().

#define evas_canvas_image_max_size_get | ( |  | maxw,
|  |  | maxh,
|  |  | ret
| ) |  | EVAS_CANVAS_ID(EVAS_CANVAS_SUB_ID_IMAGE_MAX_SIZE_GET), EO_TYPECHECK(int *, maxw), EO_TYPECHECK(int *, maxh), EO_TYPECHECK(Eina_Bool *, ret)

Since
  1.8

Get the maximum image size evas can possibly handle

Parameters

  [out] | maxw |
  [out] | maxh |
  [out] | ret |

See Also
  evas_image_max_size_get

Referenced by evas_image_max_size_get().

## Function Documentation

void evas_image_cache_flush | ( | Evas * | e | ) |

Flush the image cache of the canvas.

Parameters

  e | The given evas pointer.

This function flushes image cache of canvas.

References evas_canvas_image_cache_flush.

void evas_image_cache_reload | ( | Evas * | e | ) |

Reload the image cache.

Parameters

  e | The given evas pointer.

This function reloads the image cache of canvas.

References evas_canvas_image_cache_reload.

void evas_image_cache_set | ( | Evas * | e,
|  | int | size
| ) |  |

Set the image cache.

Parameters

  e | The given evas pointer.
  size | The cache size.

This function sets the image cache of canvas in bytes.

References evas_canvas_image_cache_set.

int evas_image_cache_get | ( | const Evas * | e | ) |

Get the image cache.

Parameters

  e | The given evas pointer.

This function returns the image cache size of canvas in bytes.

References evas_canvas_image_cache_get.

Eina_Bool evas_image_max_size_get | ( | const Evas * | e,
|  | int * | maxw,
|  | int * | maxh
| ) |  |

Get the maximum image size evas can possibly handle.

Parameters

  e | The given evas pointer.
  maxw | Pointer to hold the return value in pixels of the maximum width
  maxh | Pointer to hold the return value in pixels of the maximum height

This function returns the larges image or surface size that evas can handle in pixels, and if there is one, returns `EINA_TRUE`. It returns `EINA_FALSE` if no extra constraint on maximum image size exists. You still should check the return values of `maxw` and `maxh` as there may still be a limit, just a much higher one.

Since
  1.1

References EINA_FALSE, and evas_canvas_image_max_size_get.